%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(APR/Brigade.pm) perl(APR/Bucket.pm) perl(APR/Const.pm) perl(APR/Request.pm) perl(APR/SockAddr.pm) perl(APR/Table.pm) perl(Apache/Connection.pm) perl(Apache/Request.pm) perl(Apache/Test.pm) perl(Apache/TestConfig.pm) perl(Apache/TestMM.pm) perl(Apache/TestRequest.pm) perl(Apache2/BuildConfig.pm) perl(Apache2/Connection.pm) perl(Apache2/Const.pm) perl(Apache2/Cookie.pm) perl(Apache2/Filter.pm) perl(Apache2/Log.pm) perl(Apache2/Request.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestRec.pm) perl(Apache2/RequestUtil.pm) perl(Apache2/Response.pm) perl(Apache2/URI.pm) perl(CGI.pm) perl(Config.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Temp.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request.pm) perl(IO/ScalarArray.pm) perl(IPC/Open3.pm) perl(LWP/UserAgent.pm)
BuildRequires(pre): perl(POSIX.pm) perl(Storable.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/file.pm) perl(XML/LibXML.pm) perl(XML/LibXSLT.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 2.004
%define module_name RayApp
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.004
Release: alt1
Summary: Framework for data-centric Web applications
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JA/JANPAZ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use RayApp;
_my $rayapp = new RayApp;
_my $dsd = $rayapp->load_dsd('structure.dsd');
_print $dsd->serialize_data( $data );

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%files scripts
%_bindir/*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 2.004-alt1
- initial import by package builder

